[mythtv] API Framework has been committed (May break existing users of mythXML).

David Blain MythTv at TheBlains.net
Thu Mar 10 19:09:15 UTC 2011

> I have a webOS app called WebMyth that uses the old XML calls 
> (http://code.google.com/p/webmyth/) that will probably break 
> some functionality with this change.  I do want to support both 
> the old and new versions in the app.  Is there some easy way I could 
> check to see if a backend is using the old or new so my app could
> request the data appropriately?
> - wes

I just added a built-in method that all current and future services will



If will return...

With header of:  "Accept: application/json"

	{"value": "1.0"}

With header of:  "Accept: application/xml" or non-existing or non-json
accept header

	<?xml version="1.0" encoding="UTF-8"?><value>1.0</value>
	Note: you want the 1.0 within the <value> element.

If it's the old version, these calls will fail.

Hope this helps.  

More information about the mythtv-dev mailing list